summaryrefslogtreecommitdiffstats
path: root/maven/make-tests-deploy.sh
diff options
context:
space:
mode:
authorMark Raynsford <[email protected]>2014-07-11 19:09:32 +0000
committerMark Raynsford <[email protected]>2014-07-11 19:09:32 +0000
commit6c2d8d425df5436663f85a5cf0a5396ae3de7d6f (patch)
treeb3fc7345e4494517327832306b8b4317a2050228 /maven/make-tests-deploy.sh
parentc386cf285bfaf797c6779189c09e42d68e43b102 (diff)
Add jogl-main, nativewindow-main, newt-main - frontends for the atomics
packages that allow for pulling in all platform natives easily. Add test suite. Bug: 1023
Diffstat (limited to 'maven/make-tests-deploy.sh')
-rwxr-xr-xmaven/make-tests-deploy.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/maven/make-tests-deploy.sh b/maven/make-tests-deploy.sh
new file mode 100755
index 0000000..e4aadd8
--- /dev/null
+++ b/maven/make-tests-deploy.sh
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+if [ $# -ne 1 ]
+then
+ echo "usage: version" 1>&2
+ exit 1
+fi
+
+VERSION="$1"
+shift
+
+PWD=`pwd` || exit 1
+
+export REPOSITORY_ID="tests"
+export REPOSITORY_URL="file://${PWD}/tests-repository"
+
+./make-deploy.sh "${VERSION}"